> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Получение результата

> Запрос результатов задачи. **Этот интерфейс не использует квоту, может использоваться бесплатно**



## OpenAPI

````yaml openapi/ru/sora.json get /midjourney/video/fetch
openapi: 3.1.0
info:
  title: Документация Sora API
  version: 1.0.0
  description: TTAPI Sora API сервис
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /midjourney/video/fetch:
    get:
      description: >-
        Запрос результатов задачи. **Этот интерфейс не использует квоту, может
        использоваться бесплатно**
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: Идентификатор задания, возвращаемый синхронно интерфейсом генерации
      responses:
        '200':
          description: Запрос выполнен успешно
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - 'PENDING_QUEUE '
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                  message:
                    type: string
                    description: Сообщение ответа
                  jobId:
                    type: string
                    description: ID задач
                  data:
                    type: object
                    description: Результат задачи
                    properties:
                      jobId:
                        type: string
                        description: ID задач
                      action:
                        type: string
                        description: Тип задачи
                      progress:
                        type: string
                        description: Ход выполнения задачи
                      prompt:
                        type: string
                        description: Промпт
                      quota:
                        type: string
                        description: Израсходованная quota
                      videos:
                        type: array
                        description: >-
                          Сгенерированные видеофайлы из официального CDN
                          Midjourney. Срок действия: см. [Хранение и
                          устойчивость](/grids/ru/faq/storage)
                      hookUrl:
                        type: string
                        description: URL обратного вызова
                example:
                  status: SUCCESS
                  message: ''
                  jobId: c679a92e-dae0-462d-b70f-dcfeaf2189fa
                  data:
                    action: generate
                    jobId: 943583cb-08f4-4077-ad1e-f1bfc6c1191a
                    progress: '100'
                    prompt: >-
                      hyperrealistic album cover: Black sacral Ocean. Sunken
                      prayer canoe. Ghost Canoe Horizon
                    quota: '30'
                    videos:
                      - >-
                        https://cdn.midjourney.com/video/780b1227-227a-418c-998e-3eb90eb4824a/0.mp4
                      - >-
                        https://cdn.midjourney.com/video/780b1227-227a-418c-998e-3eb90eb4824a/1.mp4
                      - >-
                        https://cdn.midjourney.com/video/780b1227-227a-418c-998e-3eb90eb4824a/2.mp4
                      - >-
                        https://cdn.midjourney.com/video/780b1227-227a-418c-998e-3eb90eb4824a/3.mp4
                    hookUrl: https://webhook-test.com/1cb411db3bc4bfa7729c7df3ca2c1a5e
                required:
                  - status
                  - message
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````